# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

## [3.0.0](https://github.com/vitorsalgado/create-nodejs-ts/compare/v2.1.0...v3.0.0) (2022-03-30)


### ⚠ BREAKING CHANGES

* move code base to esm

Signed-off-by: Vitor Hugo Salgado <vsalgadopb@gmail.com>

### Features

* improve main script code and testability ([976896c](https://github.com/vitorsalgado/create-nodejs-ts/commit/976896cb614bbe9e690dbe6e43d9a11ccf3478ac))
* use esm ([a2e2563](https://github.com/vitorsalgado/create-nodejs-ts/commit/a2e2563bf412f42ee41667fe6ae42df4c2030171))


### Bug Fixes

* remove dev deps and release script ([bb8d8a6](https://github.com/vitorsalgado/create-nodejs-ts/commit/bb8d8a67fb78c9184df2b5ab8ac5b6051c44f0e3))


### Build

* add docker to dependabot.yml ([a7a687d](https://github.com/vitorsalgado/create-nodejs-ts/commit/a7a687d17128f390f6e25d2089339448e9d04ea2))
* add Windows os to ci + apply some fixes ([d6585e6](https://github.com/vitorsalgado/create-nodejs-ts/commit/d6585e6b729e133af575d58317b1e380ebcca1e3))
* **deps-dev:** bump @commitlint/cli from 16.1.0 to 16.2.1 ([#234](https://github.com/vitorsalgado/create-nodejs-ts/issues/234)) ([0903e51](https://github.com/vitorsalgado/create-nodejs-ts/commit/0903e51fb0e82698ebee5eb457f0db1e5e17df77))
* **deps-dev:** bump @commitlint/cli from 16.2.1 to 16.2.3 ([#264](https://github.com/vitorsalgado/create-nodejs-ts/issues/264)) ([51aea47](https://github.com/vitorsalgado/create-nodejs-ts/commit/51aea4714a9af3c863d14cae38a3a4b2bcb5c07b))
* **deps-dev:** bump @commitlint/config-conventional ([#236](https://github.com/vitorsalgado/create-nodejs-ts/issues/236)) ([536a522](https://github.com/vitorsalgado/create-nodejs-ts/commit/536a522c3fbdfbbd26855ffa51525c389fc8201f))
* **deps-dev:** bump @types/jest from 27.4.0 to 27.4.1 ([#244](https://github.com/vitorsalgado/create-nodejs-ts/issues/244)) ([113a641](https://github.com/vitorsalgado/create-nodejs-ts/commit/113a641fff0ff46f0defc15b2f6658399a079fa3))
* **deps-dev:** bump @types/node from 17.0.14 to 17.0.15 ([#226](https://github.com/vitorsalgado/create-nodejs-ts/issues/226)) ([83fa0a7](https://github.com/vitorsalgado/create-nodejs-ts/commit/83fa0a7d7e233f0aa6ac43e9b39b18adc1229e39))
* **deps-dev:** bump @types/node from 17.0.15 to 17.0.16 ([#231](https://github.com/vitorsalgado/create-nodejs-ts/issues/231)) ([2bce611](https://github.com/vitorsalgado/create-nodejs-ts/commit/2bce61180a74e58c7e8af036253b54a1fb0b9392))
* **deps-dev:** bump @types/node from 17.0.16 to 17.0.17 ([#232](https://github.com/vitorsalgado/create-nodejs-ts/issues/232)) ([bb20041](https://github.com/vitorsalgado/create-nodejs-ts/commit/bb200410b2572eb0cee5a8aa54cc61fd3c3fb555))
* **deps-dev:** bump @types/node from 17.0.17 to 17.0.18 ([#239](https://github.com/vitorsalgado/create-nodejs-ts/issues/239)) ([4308f92](https://github.com/vitorsalgado/create-nodejs-ts/commit/4308f92ee3ca2bfaca3b8fd881627f2c753b2042))
* **deps-dev:** bump @types/node from 17.0.18 to 17.0.19 ([#240](https://github.com/vitorsalgado/create-nodejs-ts/issues/240)) ([cdcf7dc](https://github.com/vitorsalgado/create-nodejs-ts/commit/cdcf7dc08cd43abc7901cb3e9d5ee4010f0b4db0))
* **deps-dev:** bump @types/node from 17.0.19 to 17.0.20 ([#245](https://github.com/vitorsalgado/create-nodejs-ts/issues/245)) ([8ce573b](https://github.com/vitorsalgado/create-nodejs-ts/commit/8ce573b3d94848bc719dbd7a5ba802ab577c12ac))
* **deps-dev:** bump @types/node from 17.0.20 to 17.0.21 ([#248](https://github.com/vitorsalgado/create-nodejs-ts/issues/248)) ([beebd28](https://github.com/vitorsalgado/create-nodejs-ts/commit/beebd28d73c9affd17f713531be7bc68336e80e8))
* **deps-dev:** bump @types/node from 17.0.21 to 17.0.22 ([#268](https://github.com/vitorsalgado/create-nodejs-ts/issues/268)) ([ca50f06](https://github.com/vitorsalgado/create-nodejs-ts/commit/ca50f0645df16b82db2f12412b37eb96d3f8a886))
* **deps-dev:** bump @types/node from 17.0.22 to 17.0.23 ([#271](https://github.com/vitorsalgado/create-nodejs-ts/issues/271)) ([2428025](https://github.com/vitorsalgado/create-nodejs-ts/commit/2428025ddcae6822edf7b82f7a60a845fae69967))
* **deps-dev:** bump @typescript-eslint/eslint-plugin ([#230](https://github.com/vitorsalgado/create-nodejs-ts/issues/230)) ([ae1e223](https://github.com/vitorsalgado/create-nodejs-ts/commit/ae1e22368f6a95113d9b62774768d6dc3f81a2d0))
* **deps-dev:** bump @typescript-eslint/eslint-plugin ([#238](https://github.com/vitorsalgado/create-nodejs-ts/issues/238)) ([41b354e](https://github.com/vitorsalgado/create-nodejs-ts/commit/41b354ea51a12e96640da175d4a7d182764bf23c))
* **deps-dev:** bump @typescript-eslint/eslint-plugin ([#242](https://github.com/vitorsalgado/create-nodejs-ts/issues/242)) ([b184454](https://github.com/vitorsalgado/create-nodejs-ts/commit/b184454686535d7232d29a8fd3032ffb761df3eb))
* **deps-dev:** bump @typescript-eslint/eslint-plugin ([#250](https://github.com/vitorsalgado/create-nodejs-ts/issues/250)) ([411bd76](https://github.com/vitorsalgado/create-nodejs-ts/commit/411bd765da630dd9f6f4da4d30f5ffc0a9b263eb))
* **deps-dev:** bump @typescript-eslint/eslint-plugin ([#258](https://github.com/vitorsalgado/create-nodejs-ts/issues/258)) ([4f50c92](https://github.com/vitorsalgado/create-nodejs-ts/commit/4f50c924d5edb4c7a56797a72482ff1e711a8aa4))
* **deps-dev:** bump @typescript-eslint/eslint-plugin ([#262](https://github.com/vitorsalgado/create-nodejs-ts/issues/262)) ([f275912](https://github.com/vitorsalgado/create-nodejs-ts/commit/f275912f064bcb78f9b68dcf81094736caa29b02))
* **deps-dev:** bump @typescript-eslint/eslint-plugin ([#269](https://github.com/vitorsalgado/create-nodejs-ts/issues/269)) ([994c1ce](https://github.com/vitorsalgado/create-nodejs-ts/commit/994c1ce6137d65667236b0ba6c516dd1153f4ba2))
* **deps-dev:** bump @typescript-eslint/eslint-plugin ([#277](https://github.com/vitorsalgado/create-nodejs-ts/issues/277)) ([c8c5a97](https://github.com/vitorsalgado/create-nodejs-ts/commit/c8c5a976d11e193126f31e58d8c5c1da07d2f36d))
* **deps-dev:** bump @typescript-eslint/parser from 5.10.2 to 5.11.0 ([#228](https://github.com/vitorsalgado/create-nodejs-ts/issues/228)) ([c165c53](https://github.com/vitorsalgado/create-nodejs-ts/commit/c165c5377bfaf312145f43dec94d198cbd11f1cb))
* **deps-dev:** bump @typescript-eslint/parser from 5.11.0 to 5.12.0 ([#237](https://github.com/vitorsalgado/create-nodejs-ts/issues/237)) ([b103c84](https://github.com/vitorsalgado/create-nodejs-ts/commit/b103c84a786b776dae6b5e3d9a83b8c65f740589))
* **deps-dev:** bump @typescript-eslint/parser from 5.12.0 to 5.12.1 ([#243](https://github.com/vitorsalgado/create-nodejs-ts/issues/243)) ([278aa86](https://github.com/vitorsalgado/create-nodejs-ts/commit/278aa86b18a33a9b5c979d613739b841f69ee464))
* **deps-dev:** bump @typescript-eslint/parser from 5.12.1 to 5.13.0 ([#252](https://github.com/vitorsalgado/create-nodejs-ts/issues/252)) ([69dc8e5](https://github.com/vitorsalgado/create-nodejs-ts/commit/69dc8e5a6d1ccf82abcea3429ec55f89202f4d94))
* **deps-dev:** bump @typescript-eslint/parser from 5.13.0 to 5.14.0 ([#259](https://github.com/vitorsalgado/create-nodejs-ts/issues/259)) ([44dbe57](https://github.com/vitorsalgado/create-nodejs-ts/commit/44dbe57cecd17ad42513fe9fd8762445e0fca577))
* **deps-dev:** bump @typescript-eslint/parser from 5.14.0 to 5.15.0 ([#261](https://github.com/vitorsalgado/create-nodejs-ts/issues/261)) ([6a8f152](https://github.com/vitorsalgado/create-nodejs-ts/commit/6a8f152fdfaa6c80660d877d1efb4891374598e0))
* **deps-dev:** bump @typescript-eslint/parser from 5.15.0 to 5.16.0 ([#270](https://github.com/vitorsalgado/create-nodejs-ts/issues/270)) ([756a7ef](https://github.com/vitorsalgado/create-nodejs-ts/commit/756a7ef3c86a6de5d02b78927b4bc5cb9cedeec1))
* **deps-dev:** bump @typescript-eslint/parser from 5.16.0 to 5.17.0 ([#278](https://github.com/vitorsalgado/create-nodejs-ts/issues/278)) ([8cc59de](https://github.com/vitorsalgado/create-nodejs-ts/commit/8cc59de0ba8ebc764e7910038a605363bcf0c6de))
* **deps-dev:** bump eslint from 8.10.0 to 8.11.0 ([#260](https://github.com/vitorsalgado/create-nodejs-ts/issues/260)) ([50bc543](https://github.com/vitorsalgado/create-nodejs-ts/commit/50bc543f76dc276999370fada419d4b67e47c7e2))
* **deps-dev:** bump eslint from 8.8.0 to 8.9.0 ([#233](https://github.com/vitorsalgado/create-nodejs-ts/issues/233)) ([5e527bf](https://github.com/vitorsalgado/create-nodejs-ts/commit/5e527bfcfcb11859d9021e99d74ec5906d2f8769))
* **deps-dev:** bump eslint from 8.9.0 to 8.10.0 ([#249](https://github.com/vitorsalgado/create-nodejs-ts/issues/249)) ([ba2ef99](https://github.com/vitorsalgado/create-nodejs-ts/commit/ba2ef99a0a3d66578d7c037f898fd60ffcb0ee40))
* **deps-dev:** bump eslint-config-prettier from 8.3.0 to 8.4.0 ([#241](https://github.com/vitorsalgado/create-nodejs-ts/issues/241)) ([66456e3](https://github.com/vitorsalgado/create-nodejs-ts/commit/66456e3e3d7dd8f65c5c00fedaf44982c52a083c))
* **deps-dev:** bump eslint-config-prettier from 8.4.0 to 8.5.0 ([#255](https://github.com/vitorsalgado/create-nodejs-ts/issues/255)) ([b7c02d7](https://github.com/vitorsalgado/create-nodejs-ts/commit/b7c02d7a23b036571fc616a551284fe80f69fd95))
* **deps-dev:** bump jest from 27.4.7 to 27.5.0 ([#225](https://github.com/vitorsalgado/create-nodejs-ts/issues/225)) ([cf87447](https://github.com/vitorsalgado/create-nodejs-ts/commit/cf874473b9d0a9f9ca5b64fd66fd75296dc982bc))
* **deps-dev:** bump jest from 27.5.0 to 27.5.1 ([#229](https://github.com/vitorsalgado/create-nodejs-ts/issues/229)) ([1fde9fc](https://github.com/vitorsalgado/create-nodejs-ts/commit/1fde9fc892c8745fd0ab8a9b63a0347fda0820a9))
* **deps-dev:** bump lint-staged from 12.3.3 to 12.3.4 ([#235](https://github.com/vitorsalgado/create-nodejs-ts/issues/235)) ([d9dbcd0](https://github.com/vitorsalgado/create-nodejs-ts/commit/d9dbcd097b8a58b610879440340601066fec6122))
* **deps-dev:** bump lint-staged from 12.3.4 to 12.3.5 ([#256](https://github.com/vitorsalgado/create-nodejs-ts/issues/256)) ([00b3d7f](https://github.com/vitorsalgado/create-nodejs-ts/commit/00b3d7f968c2362ed115d0edcd766dbd253813de))
* **deps-dev:** bump lint-staged from 12.3.5 to 12.3.6 ([#265](https://github.com/vitorsalgado/create-nodejs-ts/issues/265)) ([6f49ede](https://github.com/vitorsalgado/create-nodejs-ts/commit/6f49ede6b01c733e1f5f11902225dc8630735580))
* **deps-dev:** bump lint-staged from 12.3.6 to 12.3.7 ([#266](https://github.com/vitorsalgado/create-nodejs-ts/issues/266)) ([24956db](https://github.com/vitorsalgado/create-nodejs-ts/commit/24956dbc3d58d2f52da05868536b84bf1fe84518))
* **deps-dev:** bump prettier from 2.5.1 to 2.6.0 ([#263](https://github.com/vitorsalgado/create-nodejs-ts/issues/263)) ([d8354c5](https://github.com/vitorsalgado/create-nodejs-ts/commit/d8354c531053da59bdcce4254b5ef9ba20384802))
* **deps-dev:** bump prettier from 2.6.0 to 2.6.1 ([#274](https://github.com/vitorsalgado/create-nodejs-ts/issues/274)) ([05878c8](https://github.com/vitorsalgado/create-nodejs-ts/commit/05878c8281c1817acae7a8d4fa6f2bb44bf1d6b9))
* **deps-dev:** bump ts-node from 10.5.0 to 10.6.0 ([#254](https://github.com/vitorsalgado/create-nodejs-ts/issues/254)) ([fd07f54](https://github.com/vitorsalgado/create-nodejs-ts/commit/fd07f54e7ebff6e7dc112f9be0ffb999b9b8a7aa))
* **deps-dev:** bump ts-node from 10.6.0 to 10.7.0 ([#257](https://github.com/vitorsalgado/create-nodejs-ts/issues/257)) ([d881922](https://github.com/vitorsalgado/create-nodejs-ts/commit/d88192298f54b7e88bc541c098a1ff0ea0c61b90))
* **deps-dev:** bump typescript from 4.5.5 to 4.6.2 ([#251](https://github.com/vitorsalgado/create-nodejs-ts/issues/251)) ([8b2aed2](https://github.com/vitorsalgado/create-nodejs-ts/commit/8b2aed2f498da7d6d7270d41e064738d8280a70c))
* **deps-dev:** bump typescript from 4.6.2 to 4.6.3 ([#272](https://github.com/vitorsalgado/create-nodejs-ts/issues/272)) ([d201d8a](https://github.com/vitorsalgado/create-nodejs-ts/commit/d201d8ab0c3c875136b92127cb9347a9ec2ca396))
* **deps:** bump actions/cache from 2 to 3 ([#267](https://github.com/vitorsalgado/create-nodejs-ts/issues/267)) ([522a167](https://github.com/vitorsalgado/create-nodejs-ts/commit/522a167d9881cde525d0efb4629720baa226a1f1))
* **deps:** bump actions/checkout from 2 to 3 ([#253](https://github.com/vitorsalgado/create-nodejs-ts/issues/253)) ([bf6c284](https://github.com/vitorsalgado/create-nodejs-ts/commit/bf6c2842378d83ecc44aee5e141c234fd45ff989))
* **deps:** bump actions/setup-node from 2 to 3.0.0 ([#247](https://github.com/vitorsalgado/create-nodejs-ts/issues/247)) ([f793b47](https://github.com/vitorsalgado/create-nodejs-ts/commit/f793b47a199f0dfde17b30e6fb97c3ed519417ce))
* **deps:** bump fs-extra from 10.0.0 to 10.0.1 ([#246](https://github.com/vitorsalgado/create-nodejs-ts/issues/246)) ([6b275ab](https://github.com/vitorsalgado/create-nodejs-ts/commit/6b275abf44d1253839c0d676debf6cb0dc12fa30))
* **deps:** bump minimist from 1.2.5 to 1.2.6 ([#275](https://github.com/vitorsalgado/create-nodejs-ts/issues/275)) ([b861ba2](https://github.com/vitorsalgado/create-nodejs-ts/commit/b861ba25491bc966cd89116e60b00a2b1c3a07c8))
* escape prettier dir cmd param ([b863a91](https://github.com/vitorsalgado/create-nodejs-ts/commit/b863a9187ae3d1232c76b76f7dc49d6ba2928be2))
* remove nvm from Makefile ([f7a362c](https://github.com/vitorsalgado/create-nodejs-ts/commit/f7a362c09a0e3e2a070a2e8c2b7d66e43e30f324))


### Chore

* update deps ([f0857fd](https://github.com/vitorsalgado/create-nodejs-ts/commit/f0857fd0c2fbd87f5dfc0a2a1369fb7364f5fa49))
* upgrade dependencies ([13ba79a](https://github.com/vitorsalgado/create-nodejs-ts/commit/13ba79a8d1c48c12d8fe15ef3dc9c03a5f78ddd2))


### Docs

* add new docs ([a7bab63](https://github.com/vitorsalgado/create-nodejs-ts/commit/a7bab63c49c53f131994ea7342571da948636250))


### Refactor

* adjust cmd ([ab747f5](https://github.com/vitorsalgado/create-nodejs-ts/commit/ab747f5f9c8dd003caa0c4cc5e4069c6b4917bcf))
* adjust cmd script ([fd20ec5](https://github.com/vitorsalgado/create-nodejs-ts/commit/fd20ec503e9e9bb940e132bae2183e25886d681e))
* change .gitignore ([c422349](https://github.com/vitorsalgado/create-nodejs-ts/commit/c422349bfe4d6477071a5fe4ea42d76d9c17efa7))
* improve and simplify eslint configuration ([3e51c52](https://github.com/vitorsalgado/create-nodejs-ts/commit/3e51c5237187d229445ed75f3ef3e66681f9ebcc))
* remove local standard-version ([44af724](https://github.com/vitorsalgado/create-nodejs-ts/commit/44af724a3f0b9f725525240c7e45bdff88b6e0ce))
* **template:** change node version to 16 ([a143554](https://github.com/vitorsalgado/create-nodejs-ts/commit/a14355419c74e5bf47ef570481f76271d2b1e795))
* upgrade nodejs ([5750f5a](https://github.com/vitorsalgado/create-nodejs-ts/commit/5750f5a909e8d34ae469c8fc8fdda4bebb4ee253))
* use .cjs extension on configs ([29abeaa](https://github.com/vitorsalgado/create-nodejs-ts/commit/29abeaa3047952fdc0c60b64059fba4a0a0f3471))

## [2.1.0](https://github.com/vitorsalgado/create-nodejs-ts/compare/v2.0.1...v2.1.0) (2022-02-04)


### Features

* Add Support for Windows hosts ([#224](https://github.com/vitorsalgado/create-nodejs-ts/issues/224)) ([00058bb](https://github.com/vitorsalgado/create-nodejs-ts/commit/00058bbc0ef3d7bdb2cf120ecafef6fe56e1a40a))


### Build

* **deps-dev:** bump @commitlint/cli from 16.0.2 to 16.0.3 ([#203](https://github.com/vitorsalgado/create-nodejs-ts/issues/203)) ([cf39e1e](https://github.com/vitorsalgado/create-nodejs-ts/commit/cf39e1ebf1c44f014991b674efc69aea6c63af46))
* **deps-dev:** bump @commitlint/cli from 16.0.3 to 16.1.0 ([#206](https://github.com/vitorsalgado/create-nodejs-ts/issues/206)) ([6c0e6ef](https://github.com/vitorsalgado/create-nodejs-ts/commit/6c0e6ef0975963d7673ac22534b630d246d88c30))
* **deps-dev:** bump @types/node from 17.0.10 to 17.0.12 ([#211](https://github.com/vitorsalgado/create-nodejs-ts/issues/211)) ([a364b9b](https://github.com/vitorsalgado/create-nodejs-ts/commit/a364b9bf3b8d7cead85af6a5040b004c527ce56b))
* **deps-dev:** bump @types/node from 17.0.12 to 17.0.13 ([#216](https://github.com/vitorsalgado/create-nodejs-ts/issues/216)) ([f6627f4](https://github.com/vitorsalgado/create-nodejs-ts/commit/f6627f46f0dbaf8fa8a25cd4118a7010f596bf38))
* **deps-dev:** bump @types/node from 17.0.13 to 17.0.14 ([#219](https://github.com/vitorsalgado/create-nodejs-ts/issues/219)) ([5ee38c7](https://github.com/vitorsalgado/create-nodejs-ts/commit/5ee38c786b62fab25b57493c1cfb60a61cba659e))
* **deps-dev:** bump @types/node from 17.0.8 to 17.0.9 ([#198](https://github.com/vitorsalgado/create-nodejs-ts/issues/198)) ([417c3b5](https://github.com/vitorsalgado/create-nodejs-ts/commit/417c3b5573a6f7bdf2c1df7c329ae2f6b0290939))
* **deps-dev:** bump @types/node from 17.0.9 to 17.0.10 ([#205](https://github.com/vitorsalgado/create-nodejs-ts/issues/205)) ([a076c68](https://github.com/vitorsalgado/create-nodejs-ts/commit/a076c68b00bb0f32165baf65cf9179a6008659cc))
* **deps-dev:** bump @typescript-eslint/eslint-plugin ([#201](https://github.com/vitorsalgado/create-nodejs-ts/issues/201)) ([c57d52a](https://github.com/vitorsalgado/create-nodejs-ts/commit/c57d52abf44ad02c50951f2a37e2285627b8ac2c))
* **deps-dev:** bump @typescript-eslint/eslint-plugin ([#212](https://github.com/vitorsalgado/create-nodejs-ts/issues/212)) ([53ed9f6](https://github.com/vitorsalgado/create-nodejs-ts/commit/53ed9f69b427837962fd586b2d8ac0bfa4f13df4))
* **deps-dev:** bump @typescript-eslint/eslint-plugin ([#221](https://github.com/vitorsalgado/create-nodejs-ts/issues/221)) ([99d1f89](https://github.com/vitorsalgado/create-nodejs-ts/commit/99d1f890534f76ab613d75afa86eca01b759c185))
* **deps-dev:** bump @typescript-eslint/parser from 5.10.0 to 5.10.1 ([#213](https://github.com/vitorsalgado/create-nodejs-ts/issues/213)) ([3cfd15d](https://github.com/vitorsalgado/create-nodejs-ts/commit/3cfd15d657d9742aaf770794dedc80b9f85197db))
* **deps-dev:** bump @typescript-eslint/parser from 5.10.1 to 5.10.2 ([#220](https://github.com/vitorsalgado/create-nodejs-ts/issues/220)) ([235f458](https://github.com/vitorsalgado/create-nodejs-ts/commit/235f458684c1bbab0edc18e69beffe50a22438d6))
* **deps-dev:** bump @typescript-eslint/parser from 5.9.1 to 5.10.0 ([#200](https://github.com/vitorsalgado/create-nodejs-ts/issues/200)) ([157392f](https://github.com/vitorsalgado/create-nodejs-ts/commit/157392f96d8781976b3cfd67f9cd7ee46a399510))
* **deps-dev:** bump eslint from 8.6.0 to 8.7.0 ([#197](https://github.com/vitorsalgado/create-nodejs-ts/issues/197)) ([1a7b4e2](https://github.com/vitorsalgado/create-nodejs-ts/commit/1a7b4e2ace2b88d6aafa451d1dcd74689f28c6f2))
* **deps-dev:** bump eslint from 8.7.0 to 8.8.0 ([#218](https://github.com/vitorsalgado/create-nodejs-ts/issues/218)) ([4efd6f5](https://github.com/vitorsalgado/create-nodejs-ts/commit/4efd6f514f4f9f7452fe7c17e51d43095f4eea7e))
* **deps-dev:** bump lint-staged from 12.1.7 to 12.2.1 ([#204](https://github.com/vitorsalgado/create-nodejs-ts/issues/204)) ([52f043b](https://github.com/vitorsalgado/create-nodejs-ts/commit/52f043beb7f38e78adad1a065828373aedaad0be))
* **deps-dev:** bump lint-staged from 12.2.1 to 12.2.2 ([#207](https://github.com/vitorsalgado/create-nodejs-ts/issues/207)) ([2bb47a4](https://github.com/vitorsalgado/create-nodejs-ts/commit/2bb47a4f5715da6ea2ab8ef59751c78ec700f80d))
* **deps-dev:** bump lint-staged from 12.2.2 to 12.3.1 ([#209](https://github.com/vitorsalgado/create-nodejs-ts/issues/209)) ([67bffd9](https://github.com/vitorsalgado/create-nodejs-ts/commit/67bffd9de862da7a39b8db1f683f75b04ac3ae93))
* **deps-dev:** bump lint-staged from 12.3.1 to 12.3.2 ([#215](https://github.com/vitorsalgado/create-nodejs-ts/issues/215)) ([ad019f2](https://github.com/vitorsalgado/create-nodejs-ts/commit/ad019f27b34b9e16b9d7a914ff8862067d3c8590))
* **deps-dev:** bump lint-staged from 12.3.2 to 12.3.3 ([#222](https://github.com/vitorsalgado/create-nodejs-ts/issues/222)) ([f8fef00](https://github.com/vitorsalgado/create-nodejs-ts/commit/f8fef00d6a5fa2aeda4c37e58216e0eecd3f97b5))
* **deps-dev:** bump ts-jest from 27.1.2 to 27.1.3 ([#199](https://github.com/vitorsalgado/create-nodejs-ts/issues/199)) ([fe7325a](https://github.com/vitorsalgado/create-nodejs-ts/commit/fe7325a7b0aaeb2ecc7ff70ae1e655d3beb68585))
* **deps-dev:** bump typescript from 4.5.4 to 4.5.5 ([#208](https://github.com/vitorsalgado/create-nodejs-ts/issues/208)) ([b7579f1](https://github.com/vitorsalgado/create-nodejs-ts/commit/b7579f1ffc5dbbeec437c2abba1ac958451cd544))
* **deps:** bump dotenv from 11.0.0 to 14.1.0 ([#196](https://github.com/vitorsalgado/create-nodejs-ts/issues/196)) ([67bf53f](https://github.com/vitorsalgado/create-nodejs-ts/commit/67bf53f837ceea582b131234e94602ff9d49f8ae))
* **deps:** bump dotenv from 14.1.0 to 14.2.0 ([#202](https://github.com/vitorsalgado/create-nodejs-ts/issues/202)) ([80e218c](https://github.com/vitorsalgado/create-nodejs-ts/commit/80e218c7c2964cd953c496ccda1a8def667a8ac6))
* **deps:** bump dotenv from 14.2.0 to 14.3.0 ([#210](https://github.com/vitorsalgado/create-nodejs-ts/issues/210)) ([e26a78c](https://github.com/vitorsalgado/create-nodejs-ts/commit/e26a78cfe62a4fecdef32e5ed77b2fc39783ee80))
* **deps:** bump dotenv from 14.3.0 to 14.3.2 ([#214](https://github.com/vitorsalgado/create-nodejs-ts/issues/214)) ([2bf911f](https://github.com/vitorsalgado/create-nodejs-ts/commit/2bf911ffa03762a2fa050bbb62cb451778323d44))
* **deps:** bump dotenv from 14.3.2 to 15.0.0 ([#217](https://github.com/vitorsalgado/create-nodejs-ts/issues/217)) ([b632823](https://github.com/vitorsalgado/create-nodejs-ts/commit/b6328236030cf2fbc11b167c6437d42b55d62876))
* **deps:** bump dotenv from 15.0.0 to 16.0.0 ([#223](https://github.com/vitorsalgado/create-nodejs-ts/issues/223)) ([d0a1889](https://github.com/vitorsalgado/create-nodejs-ts/commit/d0a18898a86a5ed54ab8f0809a2609ea3e00f7ce))


### Chore

* update nodejs version ([401296c](https://github.com/vitorsalgado/create-nodejs-ts/commit/401296cd8018ea8a5451a6f21258bd491e330acb))

### [2.0.1](https://github.com/vitorsalgado/create-nodejs-ts/compare/v2.0.0...v2.0.1) (2022-01-12)


### Build

* **deps-dev:** bump @commitlint/cli from 16.0.0 to 16.0.1 ([#180](https://github.com/vitorsalgado/create-nodejs-ts/issues/180)) ([cfc323d](https://github.com/vitorsalgado/create-nodejs-ts/commit/cfc323d07180bdd5610457135bc77440438d8053))
* **deps-dev:** bump @commitlint/cli from 16.0.1 to 16.0.2 ([#192](https://github.com/vitorsalgado/create-nodejs-ts/issues/192)) ([bdec13b](https://github.com/vitorsalgado/create-nodejs-ts/commit/bdec13b45986e4fd8b0b343db2e2981faa6caf72))
* **deps-dev:** bump @types/jest from 27.0.3 to 27.4.0 ([#181](https://github.com/vitorsalgado/create-nodejs-ts/issues/181)) ([8652780](https://github.com/vitorsalgado/create-nodejs-ts/commit/865278043f005fa2db166ea5dd2a0c20c53be5f1))
* **deps-dev:** bump @types/node from 17.0.5 to 17.0.7 ([#184](https://github.com/vitorsalgado/create-nodejs-ts/issues/184)) ([254e6ad](https://github.com/vitorsalgado/create-nodejs-ts/commit/254e6adc6d0e612dad0c34adca28dd3bf9f448d5))
* **deps-dev:** bump @types/node from 17.0.7 to 17.0.8 ([#189](https://github.com/vitorsalgado/create-nodejs-ts/issues/189)) ([214bdda](https://github.com/vitorsalgado/create-nodejs-ts/commit/214bdda48e3aaa164cb9e6e0a1a9d1dae7ccf4b6))
* **deps-dev:** bump @typescript-eslint/eslint-plugin ([#186](https://github.com/vitorsalgado/create-nodejs-ts/issues/186)) ([05a51a7](https://github.com/vitorsalgado/create-nodejs-ts/commit/05a51a70a375c0d13fc621d73ce1df3bf9817d3d))
* **deps-dev:** bump @typescript-eslint/eslint-plugin ([#193](https://github.com/vitorsalgado/create-nodejs-ts/issues/193)) ([063fbd6](https://github.com/vitorsalgado/create-nodejs-ts/commit/063fbd6f0a48858750b00b08900507475ed26673))
* **deps-dev:** bump @typescript-eslint/parser from 5.8.1 to 5.9.0 ([#187](https://github.com/vitorsalgado/create-nodejs-ts/issues/187)) ([bc96c48](https://github.com/vitorsalgado/create-nodejs-ts/commit/bc96c4896a539cdf19fc28e18a5b233c2b690fbb))
* **deps-dev:** bump @typescript-eslint/parser from 5.9.0 to 5.9.1 ([#194](https://github.com/vitorsalgado/create-nodejs-ts/issues/194)) ([adcb4bb](https://github.com/vitorsalgado/create-nodejs-ts/commit/adcb4bb8a8875e85647cd2b8d7f6dd1a4023e203))
* **deps-dev:** bump eslint from 8.5.0 to 8.6.0 ([#182](https://github.com/vitorsalgado/create-nodejs-ts/issues/182)) ([dac8267](https://github.com/vitorsalgado/create-nodejs-ts/commit/dac8267563526d83984668ad7fbdeb1164943da7))
* **deps-dev:** bump eslint-plugin-import from 2.25.3 to 2.25.4 ([#183](https://github.com/vitorsalgado/create-nodejs-ts/issues/183)) ([e0052c4](https://github.com/vitorsalgado/create-nodejs-ts/commit/e0052c4354a956bb68bdcc8c2e077d32f96d1c69))
* **deps-dev:** bump jest from 27.4.5 to 27.4.7 ([#188](https://github.com/vitorsalgado/create-nodejs-ts/issues/188)) ([38f9214](https://github.com/vitorsalgado/create-nodejs-ts/commit/38f92142270ab1a4ab72dadd9f2967e712e6dcff))
* **deps-dev:** bump lint-staged from 12.1.4 to 12.1.5 ([#185](https://github.com/vitorsalgado/create-nodejs-ts/issues/185)) ([2b039d1](https://github.com/vitorsalgado/create-nodejs-ts/commit/2b039d110b0e3868bd1723d746a1e169c52f7496))
* **deps-dev:** bump lint-staged from 12.1.5 to 12.1.6 ([#190](https://github.com/vitorsalgado/create-nodejs-ts/issues/190)) ([122d2e6](https://github.com/vitorsalgado/create-nodejs-ts/commit/122d2e60dea361b71be8d7e962a581cfdf8b1a85))
* **deps-dev:** bump lint-staged from 12.1.6 to 12.1.7 ([#191](https://github.com/vitorsalgado/create-nodejs-ts/issues/191)) ([d8fadef](https://github.com/vitorsalgado/create-nodejs-ts/commit/d8fadef570162b4a5073fad44e50ad5e0a6043fb))
* **deps:** bump dotenv from 10.0.0 to 11.0.0 ([#195](https://github.com/vitorsalgado/create-nodejs-ts/issues/195)) ([169f0a3](https://github.com/vitorsalgado/create-nodejs-ts/commit/169f0a3b1fbca54bb8f94dc1808c0a87aaac7376))
* simplify Makefile commands ([02be710](https://github.com/vitorsalgado/create-nodejs-ts/commit/02be7102316abe8119650e47bc5c20cf22bdef5b))
* simplify ts config ([896aacf](https://github.com/vitorsalgado/create-nodejs-ts/commit/896aacf8d7ac575863f913fe1e3f758c4680c8ad))
* use codecov action ([74407d1](https://github.com/vitorsalgado/create-nodejs-ts/commit/74407d1cb4a1fa365a2032cdbad5d9b1c6c6f898))


### Refactor

* add tslib ([bbdac09](https://github.com/vitorsalgado/create-nodejs-ts/commit/bbdac099c33c8911bfc586042abab10587a4589b))
* upgrade deps + add more entries to changelog + change lint and format commands ([712928b](https://github.com/vitorsalgado/create-nodejs-ts/commit/712928bd50f9209f5028c05260df28be7824c871))

## [2.0.0](https://github.com/vitorsalgado/create-nodejs-ts/compare/v1.2.2...v2.0.0) (2021-12-28)


### ⚠ BREAKING CHANGES

* eslint upgrade + remove some ts configs

### Features

* upgrade deps + ci config ([52585be](https://github.com/vitorsalgado/create-nodejs-ts/commit/52585bee7794305658cfc5428a733dbb7e6acfc1))

### [1.2.2](https://github.com/vitorsalgado/create-nodejs-ts/compare/v1.2.1...v1.2.2) (2021-10-08)

### [1.2.1](https://github.com/vitorsalgado/create-nodejs-ts/compare/v1.2.0...v1.2.1) (2021-08-10)

## [1.2.0](https://github.com/vitorsalgado/create-nodejs-ts/compare/v1.1.0...v1.2.0) (2021-07-24)


### Features

* change ts config to es2020 + upgrade docs and add + badges + add types to pkg.json ([e234ebb](https://github.com/vitorsalgado/create-nodejs-ts/commit/e234ebbeab57a8220ee4aa8928a41b6ee4092181))

## [1.1.0](https://github.com/vitorsalgado/nodejs-boilerplate/compare/v1.0.0...v1.1.0) (2021-07-20)


### Features

* add docker compose dev env ([ba4db1c](https://github.com/vitorsalgado/nodejs-boilerplate/commit/ba4db1cf4f3b07c653d9b6dff51d61fac49c7fc9))

## 1.0.0 (2021-07-20)


### Features

* add base Makefile ([3002aac](https://github.com/vitorsalgado/nodejs-boilerplate/commit/3002aac02e711394e69fc7f097fd30f8afb1d5fb))
* add base structure for Jest ([0e77cb5](https://github.com/vitorsalgado/nodejs-boilerplate/commit/0e77cb53944b8a4273b8624f75409eb1a4ebab71))
* add basic tooling ([85f6efa](https://github.com/vitorsalgado/nodejs-boilerplate/commit/85f6efaf063102421cb1b3174fb435f721cc2824))
* add eslint ([1910863](https://github.com/vitorsalgado/nodejs-boilerplate/commit/19108630f4179ec916b6060fc0bdff131b940a77))
* add new simpler boilerplate and publish scripts ([309bcd9](https://github.com/vitorsalgado/nodejs-boilerplate/commit/309bcd9e2512e0506d6275108733da33f5c459bb))
* add nodemon with dotenv and sample .env file ([3750a60](https://github.com/vitorsalgado/nodejs-boilerplate/commit/3750a60e92bf1b82fa8ff75bc9e41aee175ddabf))
* add simple hello world with Fastify along with utils code ([54f31a3](https://github.com/vitorsalgado/nodejs-boilerplate/commit/54f31a3facd041993d42009522559f9ef1bd674f))
* add typescript ([30e4f53](https://github.com/vitorsalgado/nodejs-boilerplate/commit/30e4f5362fa3a954f9241c8f97bbec40c5504a2c))


### Bug Fixes

* code-ql install deps ([37cfa03](https://github.com/vitorsalgado/nodejs-boilerplate/commit/37cfa037fc887e220ae648271da49cb5738e28ee))
